Bug 473218 - Review Request: perl-Catalyst-Log-Log4perl - Log::Log4perl logging for Catalyst
Review Request: perl-Catalyst-Log-Log4perl - Log::Log4perl logging for Catalyst
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 473550
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 01:40 EST by Iain Arnell
Modified: 2008-12-13 10:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 01:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-27 01:40:26 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Catalyst-Log-Log4perl.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Catalyst-Log-Log4perl-1.00-1.fc11.src.rpm
Description: 
This module provides a Catalyst::Log implementation that uses Log::Log4perl
as the underlying log mechanism.
Comment 1 manuel wolfshant 2008-11-29 05:10:06 EST
preliminary notes: koji scratch build fails (see https://www.redhat.com/archives/fedora-devel-list/2008-November/msg02144.html ) but I suspect a problem in rawhide. See also https://www.redhat.com/archives/fedora-devel-list/2008-November/msg02144.html
F10 scratch build is just fine ( http://koji.fedoraproject.org/koji/taskinfo?taskID=957691 )

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 5cde4f9699a52d683097a3464609ae779a36034c Catalyst-Log-Log4perl-1.00.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English l
anguages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F-10. See also the preliminary notes.
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.

================
*** APPROVED ***
================
Comment 2 manuel wolfshant 2008-11-29 05:55:39 EST
https://bugzilla.redhat.com/show_bug.cgi?id=473550
Comment 3 manuel wolfshant 2008-11-29 05:58:04 EST
473550 explains why build in rawhide fails. see also the thread started at https://www.redhat.com/archives/fedora-devel-list/2008-November/msg02144.html
Comment 4 Iain Arnell 2008-11-29 11:18:38 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Log-Log4perl
Short Description: Log::Log4perl logging for Catalyst
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-12-01 16:45:30 EST
cvs done.
Comment 6 Fedora Update System 2008-12-02 01:11:57 EST
perl-Catalyst-Log-Log4perl-1.00-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Log-Log4perl-1.00-1.fc10
Comment 7 Fedora Update System 2008-12-02 01:12:00 EST
perl-Catalyst-Log-Log4perl-1.00-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Log-Log4perl-1.00-1.fc9
Comment 8 Fedora Update System 2008-12-13 10:02:20 EST
perl-Catalyst-Log-Log4perl-1.00-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-13 10:04:26 EST
perl-Catalyst-Log-Log4perl-1.00-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.